# $Revision: 1.11 $, $Date: 2011/03/29 15:36:39 $
Summary:	C++ wrapper for GtkGLExt library
Summary(pl.UTF-8):	Interfejs C++ do biblioteki GtkGLExt
Name:		gtkglextmm
Version:	1.2.0
Release:	2
License:	LGPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/gtkglext/%{name}-%{version}.tar.bz2
# Source0-md5:	27c05f4d45c5fd07b6fb0f044add3056
Patch0:		gdkspanfunc.patch
URL:		http://gtkglext.sourceforge.net/
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake >= 1:1.7
BuildRequires:	gtkglext-devel >= 1.0.0
BuildRequires:	gtkmm-devel >= 2.4.0
BuildRequires:	libtool >= 2:1.4d-3
BuildRequires:	perl-base >= 1:5.6.0
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
gtkglextmm is C++ wrapper for GtkGLExt, OpenGL Extension to GTK.

%description -l pl.UTF-8
gtkglextmm to interfejs C++ do GtkGLExt - rozszerzenia OpenGL dla GTK.

%package devel
Summary:	Header files for gtkglextmm library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki gtkglextmm
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtkglext-devel >= 1.0.0
Requires:	gtkmm-devel >= 2.4.0

%description devel
Header files for gtkglextmm library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki gtkglextmm.

%package static
Summary:	Static gtkglextmm library
Summary(pl.UTF-8):	Statyczna biblioteka gtkglextmm
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static gtkglextmm library.

%description static -l pl.UTF-8
Statyczna biblioteka gtkglextmm.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4macros
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libg[dt]kglextmm-x11-1.2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libg[dt]kglextmm-x11-1.2.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libg[dt]kglextmm-x11-1.2.so
%{_libdir}/gtkglextmm-1.2
%{_includedir}/gtkglextmm-1.2
%{_aclocaldir}/gtkglextmm-1.2.m4
%{_pkgconfigdir}/g[dt]kglextmm*-1.2.pc
%{_gtkdocdir}/gtkglextmm-1.2

%files static
%defattr(644,root,root,755)
%{_libdir}/libg[dt]kglextmm-x11-1.2.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gtkglextmm.spec,v $
Revision 1.11  2011/03/29 15:36:39  wiget
- drop libtool patch
- add gdkspanfunc.patch (compilation fix on newer gtk/gtkmm)
- rel. 2

Revision 1.10  2009/06/07 11:42:30  megabajt
- ghost soname symlink

Revision 1.9  2007/02/13 07:16:48  glen
- tabs in preamble

Revision 1.8  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.7  2006/03/05 07:49:20  qboosh
- updated to 1.2.0

Revision 1.6  2004/08/17 21:39:49  ankry
- rel. 3 to rebuild

Revision 1.5  2004/07/20 08:23:47  averne
- rel 2 for rebuild

Revision 1.4  2004/06/20 18:15:06  qboosh
- updated to 1.1.0 for gtkmm 2.4.x

Revision 1.3  2004/06/13 21:25:46  averne
- rel2 for rebuild with propper libs

Revision 1.2  2003/11/22 00:21:20  qboosh
- updated to 1.0.1

Revision 1.1  2003/08/09 18:48:08  qboosh
- new
